import type { ObjectId } from "mongodb";
import type Resources from "./Resources";

export default interface User {
    _id?: ObjectId;
    username: string;
    email: string;
    password: string;
    lastLogin: Date;
    resources: Resources;
    createdAt: Date;
    updatedAt: Date;
}